Subject: Re: A question

From: Zheng Gengbin <[email-masked]>
Date: Sat, 1 Mar 1997 09:44:12 +0800 (EAT)

On Fri, 28 Feb 1997, Guansong Zhang wrote:

> On Feb 28, 10:15pm, Zheng Gengbin wrote:
> > Subject: A question
> >
> >
> > 	I am reading your source code about detect_commnunication() ,
> > here in if ((!lhsref->hasScalarDim())&&(!rhsref->hasScalarDim())) ,
> > in else branch , you leave it by commenting   //reduce dimension .
> > What's that mean? and what is your strategy to handle this ?
> >
> > 	Below are some functions not realized : scalarDim() ,tripletDim() ,
> > hasScalarDim , what work do them do ?
> >
> > Zheng
> >-- End of excerpt from Zheng Gengbin
> 
> If the forall reference are reduced dimension ones, the current program can not
> transform them yet. For the kernel detect_communication procedure only support
> one dim now.
> 
> Guansong
> 
> Those functions are detecting the dim info of the array.
> 

	What do you mean a Scalar Dim or Triple Dim ? Can I assume that
when  a dim is of scalar type , the scalarDim() return true , 
otherwise it returns false ? or when a dim contains no left hand side 
index it return true ? 
And is Triple Dim something like lb:ub:st ? In fact I think after transBD 
, no triple Dim is left in program . 

Zheng